
%define ALD_Ver		2.0

%define USE_FFMPEG	4

Name:         audacious-plugins

License:      GPL
Summary:      Audacious - A relatively powerful media player
Version:      3.10.1
Release:      0

#https://distfiles.audacious-media-player.org/

Source: %{name}-%{version}.tar.xz

%define DestDir		/Multimedia
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
A relatively powerful media player
#-------------------------------
%package ffaudio%{USE_FFMPEG}
Summary:      FFmpeg audio converter.
Requires:     %{name} = %{version}
%description ffaudio%{USE_FFMPEG}
FFmpeg audio converter.
#-------------------------------
%package plugins
Summary:      Audacious plugins
Requires:     %{name} = %{version}
%description plugins
Audacious plugins
#-------------------------------
%package Skins
Summary:      Audacious Skins
Requires:     %{name} = %{version}
%description Skins
Audacious Skins
#-------------------------------
%package locale
Summary:      locale
%description locale
Locale

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build 
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i586 -falign-functions=4 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -O2 -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -ffunction-sections -fdata-sections -fno-asynchronous-unwind-tables"

CFLAGS="$OPTFLAGS -std=gnu99"
CXXFLAGS="$OPTFLAGS"
LDFLAGS="-Wl,--gc-sections -Wl,-Bsymbolic -static-libgcc -static-libstdc++"

#export CC=gcc
#export CXX=gcc

%configure \
  --disable-nls \
  --disable-rpath \
  --disable-adplug \
  --enable-cdaudio \
  --disable-flac \
  --enable-vorbis \
  --disable-amidiplug \
  --enable-mpg123 \
  --enable-aac \
  --disable-wavpack \
  --enable-sndfile \
  --disable-modplug \
  --disable-sid \
  --disable-console \
  --disable-bs2b \
  --disable-resample \
  --disable-speedpitch \
  --disable-soxr \
  --enable-alsa \
  --disable-jack \
  --disable-oss4 \
  --disable-pulse \
  --disable-sndio \
  --disable-cue \
  --disable-neon \
  --disable-mms \
  --disable-notify \
  --disable-lirc \
  --disable-mpris2 \
  --disable-songchange \
  --disable-scrobbler2 \
  --disable-glspectrum \
  --disable-ampache \
  --disable-qtaudio \
  --disable-qtglspectrum \
  --disable-sdlout \
  --disable-mac-media-keys \
%if %{USE_FFMPEG}
  --with-ffmpeg=libav \
%else
  --with-ffmpeg=none \
%endif
	&>FConfigure_log.txt

make V=1 &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%{_libdir}/audacious
%if %{USE_FFMPEG}
%exclude %{_libdir}/audacious/Input/ffaudio.so
%endif
%exclude %{_libdir}/audacious/Container/asx.so
%exclude %{_libdir}/audacious/Container/asx3.so
%exclude %{_libdir}/audacious/Container/m3u.so
%exclude %{_libdir}/audacious/Container/pls.so
%exclude %{_libdir}/audacious/Container/xspf.so

%exclude %{_libdir}/audacious/Effect/compressor.so
%exclude %{_libdir}/audacious/Effect/crossfade.so
%exclude %{_libdir}/audacious/Effect/crystalizer.so
%exclude %{_libdir}/audacious/Effect/echo.so
%exclude %{_libdir}/audacious/Effect/ladspa.so
%exclude %{_libdir}/audacious/Effect/mixer.so

%exclude %{_libdir}/audacious/General/alarm.so
%exclude %{_libdir}/audacious/General/albumart.so
%exclude %{_libdir}/audacious/General/aosd.so
%exclude %{_libdir}/audacious/General/delete-files.so
%exclude %{_libdir}/audacious/General/hotkey.so
%exclude %{_libdir}/audacious/General/lyricwiki.so
%exclude %{_libdir}/audacious/General/search-tool.so

%exclude %{_libdir}/audacious/Input/metronom.so
%exclude %{_libdir}/audacious/Input/psf2.so
%exclude %{_libdir}/audacious/Input/vtx.so
%exclude %{_libdir}/audacious/Input/xsf.so

%exclude %{_libdir}/audacious/Visualization/blur_scope.so

%{_datadir}/audacious/Skins/Default
%{_datadir}/audacious/Skins/Refugee
%{docdir}


%if %{USE_FFMPEG}
%files ffaudio%{USE_FFMPEG}
%{_libdir}/audacious/Input/ffaudio.so
%endif

%files plugins
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/asx3.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so

%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/mixer.so

%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/aosd.so
%{_libdir}/audacious/General/delete-files.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lyricwiki.so
%{_libdir}/audacious/General/search-tool.so

%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/xsf.so

%{_libdir}/audacious/Visualization/blur_scope.so

%Files Skins
%{_datadir}/audacious/Skins/Classic
%{_datadir}/audacious/Skins/Classic1.3
%{_datadir}/audacious/Skins/Ivory
%{_datadir}/audacious/Skins/Osmosis
%{_datadir}/audacious/Skins/TinyPlayer

%files locale
%{_datadir}/locale
